/*****************************************************************************
 * This file is part of the VChat conference server distribution.            *
 *                                                                           *
 * Copyright (c) 1993 - 2006 Andreas S. Wetzel                               *
 * All rights reserved.                                                      *
 *                                                                           *
 * The contents of this file are subject to the terms of the GNU General     *
 * Public License (GPL), version 2 only ("the License") as published by the  *
 * Free Software Foundation.                                                 *
 *                                                                           *
 * This Software comes with ABSOLUTELY NO WARRANTY.                          *
 * See the License for more details. You should have received a copy of the  *
 * License along with this distribution; See the file COPYING. If not, write *
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,   *
 * Boston, MA 02110-1301 USA.                                                *
 *****************************************************************************/
 
/* $Id: cmd_pubmsg.c,v 1.6 2006/08/20 17:11:04 mickey Exp $ */

#include "vserver.h"

/*
 * Send a public chat message
 */

void cmd_pubmsg(CLDATA *ptr, void *data, size_t len)
{
	if(chatters(ptr->channel) > 1)
	{
		if(vcp_msgchan(ptr->channel, ptr, "(%s) %s%s", ptr->nick,
			(u_char *)data, S_OFF))
		{
			vcp_msg(ptr, "%s%s", (u_char *)data, S_OFF);

			touch_channel(ptr->channel);
			time(&ptr->stamp);
			++ptr->pubmsgcnt;
		}
	}
	else
	{
		vcp_msg(ptr, "* You are alone in this conference -- nobody can hear you");
	}
}
